#include "LimitGeneratorRegressionEventsCosmeticHelperActor.h"
#include "UObject/ScriptInterface.h"

class IBaseGenerator;

bool ALimitGeneratorRegressionEventsCosmeticHelperActor::ShouldShowMaximumRegression() const
{
	return false;
}

bool ALimitGeneratorRegressionEventsCosmeticHelperActor::IsKillerInsideRegressionZone() const
{
	return false;
}

bool ALimitGeneratorRegressionEventsCosmeticHelperActor::IsGeneratorBeingRepaired() const
{
	return false;
}

TScriptInterface<IBaseGenerator> ALimitGeneratorRegressionEventsCosmeticHelperActor::GetGenerator() const
{
	return NULL;
}

ALimitGeneratorRegressionEventsCosmeticHelperActor::ALimitGeneratorRegressionEventsCosmeticHelperActor()
{
	this->_killerProximityZoneRadius = 1600.000000;
	this->_waitTimeAfterGeneratorWasInteractedUponToTriggerVfx = 0.250000;
}
